Skip to main content
GET
List User All Projects Access

Authorizations

Authorization
string
header
required

JWT in Authorization header. 'Bearer ' prefix optional.

Path Parameters

workspace_id
string<uuid>
required
user_id
string<uuid>
required

Response

Successful Response

project_id
string<uuid>
required

Project ID

project_name
string
required

Project name

has_access
boolean
required

True if user can access this project

default_role
enum<string>
required

The project's default_role for reference (for UI to show 'Revert to X')

Available options:
owner,
member,
member_limited,
full_access,
editor,
commenter,
downloader,
viewer,
no_access
project_icon
CustomIconData · object | null

Project icon data

role
enum<string> | null

User's effective role on this project (None if no access)

Available options:
owner,
member,
member_limited,
full_access,
editor,
commenter,
downloader,
viewer,
no_access
is_override
boolean
default:false

For MEMBER users: true if user has an explicit permission record (even if role matches default)

is_explicit
boolean
default:false

True if user has an explicit permission record on this project